futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Pass.ExplicitAllocations.GPU

Contents

- Orphan instances

Description

Facilities for converting a `GPU` program to `GPUMem`.

Synopsis

- explicitAllocations :: Pass GPU GPUMem
- explicitAllocationsInStms :: (MonadFreshNames m, HasScope GPUMem m) => Stms GPU -> m (Stms GPUMem)

# Documentation

explicitAllocations :: Pass GPU GPUMem Source #

The pass from `GPU` to `GPUMem`.

explicitAllocationsInStms :: (MonadFreshNames m, HasScope GPUMem m) => Stms GPU -> m (Stms GPUMem) Source #

Convert some `GPU` stms to `GPUMem`.

# Orphan instances

SizeSubst (HostOp rep op) Source # |
Instance details Methods opIsConst :: HostOp rep op -> Bool Source #